PHPExcel_Cell

# Class: PHPExcel_Cell_DataType

Source Location: /PHPExcel/Cell/DataType.php

### Class Overview

PHPExcel_Cell_DataType

#### Author(s):

#### Copyright:

- Copyright (c) 2006 - 2012 PHPExcel (http://www.codeplex.com/PHPExcel)

### Constants

- TYPE_BOOL
- TYPE_ERROR
- TYPE_FORMULA
- TYPE_INLINE
- TYPE_NULL
- TYPE_NUMERIC
- TYPE_STRING
- TYPE_STRING2

### Methods

- checkErrorCode
- checkString
- dataTypeForValue
- getErrorCodes

### Class Details

[line 36]
PHPExcel_Cell_DataType

#### Tags:

copyright: | Copyright (c) 2006 - 2012 PHPExcel (http://www.codeplex.com/PHPExcel)

[ Top ]

### Class Methods

### static method checkErrorCode [line 103]

`static string checkErrorCode( [mixed $pValue = null])`

Check a value that it is a valid error code

#### Tags:

return: | Sanitized value
access: | public

#### Parameters:

mixed | $pValue | Value to sanitize to an Excel error code

[ Top ]

### static method checkString [line 81]

`static mixed checkString( [mixed $pValue = null])`

Check a string that it satisfies Excel requirements

#### Tags:

return: | Sanitized value
access: | public

#### Parameters:

mixed | $pValue | Value to sanitize to an Excel string

[ Top ]

### static method dataTypeForValue [line 71]

`static int dataTypeForValue( [mixed $pValue = null])`

DataType for value

#### Tags:

deprecated: | Replaced by PHPExcel_Cell_IValueBinder infrastructure
access: | public

#### Parameters:

mixed | $pValue |

[ Top ]

### static method getErrorCodes [line 60]

`static array getErrorCodes( )`

Get list of error codes

#### Tags:

access: | public

[ Top ]

### Class Constants

#### TYPE_BOOL = 'b'

[line 43]

[ Top ]

#### TYPE_ERROR = 'e'

[line 46]

[ Top ]

#### TYPE_FORMULA = 'f'

[line 41]

[ Top ]

#### TYPE_INLINE = 'inlineStr'

[line 45]

[ Top ]

#### TYPE_NULL = 'null'

[line 44]

[ Top ]

#### TYPE_NUMERIC = 'n'

[line 42]

[ Top ]

#### TYPE_STRING = 's'

[line 40]

[ Top ]

#### TYPE_STRING2 = 'str'

[line 39]

[ Top ]

Documentation generated on Fri, 12 Oct 2012 00:15:40 +0200 by phpDocumentor 1.4.4